set(lrpo).

assign(max_mem, 24000).
assign(max_seconds, 1800).

clear(print_kept).
clear(print_new_demod).
clear(print_back_demod).
clear(print_given).

set(basic_paramod).
set(functional_subsume).
set(ordered_paramod).
set(prime_paramod).

assign(pick_given_ratio, 4).

set(para_pairs).  % delete for given algorithm

%%%%%%%%%%%%%%%%%%%%%%
op(400, xfx, [*,+,^,v,/,\,#]).  % infix operators
op(300,yf,@).                   % postfix operator

assign(max_weight, 26).

end_of_commands.

list(sos).
f(f(v,w,x),y,f(v,w,z)) = f(v,w,f(x,y,z)).
f(y,x,x) = x.
f(x,y,g(y)) = x.
f(x,x,y) = x.
f(g(y),y,x) = x.
f(f(A,g(A),B),g(f(f(C,D,E),F,f(C,D,G))),f(D,f(G,F,E),C))!=B.
end_of_list.

